CREATE TABLE iby_transaction_acks (
    TRANSACTION_ACK_ID            NUMBER(18, 0),
    INBOUND_FILE_ID               NUMBER(18, 0)    NOT NULL,
    PAYMENT_FLOW                  VARCHAR2(120)    NOT NULL,
    PAYMENT_ID                    NUMBER(18, 0),
    FD_LOGICAL_GROUP_REFERENCE    VARCHAR2(120),
    FC_LOGICAL_GROUP_REFERENCE    VARCHAR2(120),
    TRXNMID                       NUMBER(18, 0),
    PROCESSING_STATUS             VARCHAR2(120)    NOT NULL,
    ACK_STATUS_CODE               VARCHAR2(120)    NOT NULL,
    ACKED_ORIG_TRXN_ID            VARCHAR2(320),
    ACKED_ORIG_GRP_ID             VARCHAR2(480),
    BANK_ACK_DATE                 DATE         ,
    BANK_ACK_RECORD_ID            VARCHAR2(200),
    TRANSACTION_ACCEPTED_DATE     DATE         ,
    AVSCODE                       VARCHAR2(320),
    SEC_CODE_CHECK_RESULT         VARCHAR2(20) ,
    BANK_ASSIGNED_REF_TYPE1       VARCHAR2(120),
    BANK_ASSIGNED_REF_TYPE2       VARCHAR2(120),
    BANK_ASSIGNED_REF_TYPE3       VARCHAR2(120),
    BANK_ASSIGNED_REFERENCE1      VARCHAR2(600),
    BANK_ASSIGNED_REFERENCE2      VARCHAR2(600),
    BANK_ASSIGNED_REFERENCE3      VARCHAR2(600),
    CREATED_BY                    VARCHAR2(256)    NOT NULL,
    CREATION_DATE                 TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY               VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE              TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN             VARCHAR2(128),
    OBJECT_VERSION_NUMBER         NUMBER(9, 0)     NOT NULL,
    TRANSACTION_ACK_ID            NUMBER(18, 0),
    INBOUND_FILE_ID               NUMBER(18, 0)    NOT NULL,
    PAYMENT_FLOW                  VARCHAR2(120)    NOT NULL,
    PAYMENT_ID                    NUMBER(18, 0),
    FD_LOGICAL_GROUP_REFERENCE    VARCHAR2(120),
    FC_LOGICAL_GROUP_REFERENCE    VARCHAR2(120),
    TRXNMID                       NUMBER(18, 0),
    PROCESSING_STATUS             VARCHAR2(120)    NOT NULL,
    ACK_STATUS_CODE               VARCHAR2(120)    NOT NULL,
    ACKED_ORIG_TRXN_ID            VARCHAR2(320),
    ACKED_ORIG_GRP_ID             VARCHAR2(480),
    BANK_ACK_DATE                 DATE         ,
    BANK_ACK_RECORD_ID            VARCHAR2(200),
    TRANSACTION_ACCEPTED_DATE     DATE         ,
    AVSCODE                       VARCHAR2(320),
    SEC_CODE_CHECK_RESULT         VARCHAR2(20) ,
    BANK_ASSIGNED_REF_TYPE1       VARCHAR2(120),
    BANK_ASSIGNED_REF_TYPE2       VARCHAR2(120),
    BANK_ASSIGNED_REF_TYPE3       VARCHAR2(120),
    BANK_ASSIGNED_REFERENCE1      VARCHAR2(600),
    BANK_ASSIGNED_REFERENCE2      VARCHAR2(600),
    BANK_ASSIGNED_REFERENCE3      VARCHAR2(600),
    CREATED_BY                    VARCHAR2(256)    NOT NULL,
    CREATION_DATE                 TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY               VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE              TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN             VARCHAR2(128),
    OBJECT_VERSION_NUMBER         NUMBER(9, 0)     NOT NULL,
    CONSTRAINT pk_iby_transaction_acks PRIMARY KEY (TRANSACTION_ACK_ID, TRANSACTION_ACK_ID)
);
